summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorwtc%google.com <devnull@localhost>2008-02-04 21:52:03 +0000
committerwtc%google.com <devnull@localhost>2008-02-04 21:52:03 +0000
commit935adf3fd6fa6aff43292c04de1b90afa14dd3fe (patch)
tree01583ef5a8b0776fdeb8c6552cfb3574124589d9
parent1383c0af9e24d12efc4fedd54d64f1aa5e4af2ac (diff)
downloadnss-hg-935adf3fd6fa6aff43292c04de1b90afa14dd3fe.tar.gz
Bug 415465: test the existence of make by trying to execute it instead of
using the 'which' command. r=julien.pierre
-rw-r--r--security/nss/tests/common/init.sh11
1 files changed, 3 insertions, 8 deletions
diff --git a/security/nss/tests/common/init.sh b/security/nss/tests/common/init.sh
index 8af9bf933..17479ce99 100644
--- a/security/nss/tests/common/init.sh
+++ b/security/nss/tests/common/init.sh
@@ -262,14 +262,9 @@ if [ -z "${INIT_SOURCED}" -o "${INIT_SOURCED}" != "TRUE" ]; then
COMMON=${TEST_COMMON-$common}
export COMMON
- MAKE=`which gmake`
- if [ -z "$MAKE" ]; then
- MAKE=`which make`
- fi
- if [ -z "$MAKE" ]; then
- You are missing make.
- exit 5
- fi
+ MAKE=gmake
+ $MAKE -v >/dev/null 2>&1 || MAKE=make
+ $MAKE -v >/dev/null 2>&1 || { echo "You are missing make."; exit 5; }
DIST=${DIST-${MOZILLA_ROOT}/dist}
SECURITY_ROOT=${SECURITY_ROOT-${MOZILLA_ROOT}/security/nss}